ubuntu/+source/ndiswrapper:ubuntu/gutsy-devel

Last commit made on 2007-08-24
Get this branch:
git clone -b ubuntu/gutsy-devel https://git.launchpad.net/ubuntu/+source/ndiswrapper
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/gutsy-devel
Repository:
lp:ubuntu/+source/ndiswrapper

Recent commits

576872f... by Matthias Klose on 2007-08-24

Import patches-unapplied version 1.43-1ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: c0c899876e8033cfef86219ce44ef576208ce1a3

New changelog entries:
  * Nuild for lpia.

c0c8998... by Timo Aaltonen on 2007-05-29

Import patches-unapplied version 1.43-1ubuntu1 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: edf4c635fd80de17b479505545f9d0a6a0f8d2ef

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - debian/control:
      + Update description to point out that the kernel source package is
        not required with the standard Ubuntu kernel.
      + Change the Maintainer address.
  * debian/control:
    - Drop ndiswrapper-source.
  * New upstream release.
  * Fix KVER -> KVERS typo in debian/rules.modules. (Closes: #421690)
  * New upstream release.
  * New upstream release
  * Drop get-orig-source target, it no longer fits in with new SVN package
    layout. [debian/rules]
  * Remove bogus patchutils dependency. [debian/control]
  * Minor syntax adjustment of ndiswrapper script. Use exec to fork the
    ndiswrapper action from shell and a more descriptive shell variable for
    latest ndisrwapper util version. [debian/ndiswrapper]
  * Rewrite loadndisdriver script to allow processing of -v (version) query.
    Function borrowed from debian/ndiswrapper to locate the latest binary to
    pass the -v argument to. [debian/loadndisdriver]
  * Use exec to fork loadndisdriver action from current shell, add a comment
    in there so that possible arguments to loadndisdriver from the
    ndiswrapper module are not forgotten. [debian/loadndisdriver]

edf4c63... by Timo Aaltonen on 2007-03-29

Import patches-unapplied version 1.38-1ubuntu1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: 4877b5ee6b9e4d20e2f865d0897beeb75fa875e4

New changelog entries:
  * Merge from debian unstable, remaining changes:
    debian/control:
    - Update description to point out that the kernel source package is
      not required with the standard Ubuntu kernel.
    - Change the Maintainer address.
  * Closes many bugs (LP: #32275, #65779, #92155, maybe others)
  * New upstream release.
  * Assume maintainership of package as discussed with Andres Salomon.
    - update debian/control* Maintainer and Uploaders fields
    - adjust debian/copyright to reflect maintainer status
  * Remove whitespace from tail of debian/changelog.
  * Prefix hompage url's with Hompage: and indent them with two spaces in
    debian/control.
  * Add get-orig-source target to debian/rules.
  * Add debian/watch file.
  * Rewrite ndiswrapper-source.README.Debian based on the text from
    madwifi/gspca source packages. Don't refer to methods of building modules
    that are not relevant to this package.
  * Don't refer to kernel-image-_KVERS_ in long description of
    control.modules.in.
  * Use consistent case for the word `ndiswrapper' in debian/control*.
  * Remove curious KPKG_EXTRAV_ARG variable from rules.modules.
  * Rewrite install/ndiswrapper-source debian/rules target to have same style
    as madwifi/gspca source packages.
  * New upstream release. (Closes: #410164)
    - fixes quirks with sis163u ndis driver (Closes: #400320)
    - compiles against linux 2.6.20+
  * Reported to be working with Netgear MA111 device again. Thanks for the
    feedback Bernhard. (Closes: 407182)
  * Recommend linux-image-_KVERS_ and not the non-existant
    kernel-image-_KVERS_. (Closes: #388822)
  * NOT RELEASED.
  * New upstream release.
  * NOT RELEASED
  * New upstream release.
  * Drop m4 templates, they were littering the diff.gz, and probably required
    more maintenance burden that the seldom version bump of the utilities that
    upstream demands.
  * Update Uploaders email address.

4877b5e... by Ben Collins on 2006-12-02

Import patches-unapplied version 1.30-1ubuntu1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: f5ac0867f9d3d8b12de4012d9a2fd351f4a07ede

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - debian/control: Update description to point out that the kernel
      source package is not required with the standard Ubuntu kernel.
  * New upstream release.

f5ac086... by Ben Collins on 2006-11-23

Import patches-unapplied version 1.28-1ubuntu1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: bd8219cece4683f4ae4d8b577d5e142cd940b73a

New changelog entries:
  * Sync with Debian.
  * debian/control: Update description to point out that the kernel source
    package is not required with the standard Ubuntu kernel.
  [ Kel Modderman ]
  * New upstream release.
  * Introduce m4 templates plus maintainer script (m4-control) to make
    adapting to new upstream ndiswrapper-utils versions easier.
  * Drop all debhelper files for ndiswrapper-utils-VERS, instead handle the
    installation of required files in debian/rules only.
  * Use distclean target in kdist_clean.
  * Change of co-maintainer email address.
  * Correctly annotate LGPL licensed portion of upstream files in
    debian/copyright.
  * Create /etc/ndiswrapper directory in ndiswrapper-common to stop
    `ndiswrapper -l' from complaining on first use.
  [ Andres Salomon ]
  * Ack NMU (closes: #389171).
  * Drop 01_shut_up_perl_debug.patch.
  * Non-maintainer upload, BSP Zurich/Switzerland
  * Use now "make distclean" instead of "make clean" (Closes: #389171).
  * New upstream release.
  * New upstream release.
  * Stop carrying trivial patch series, new upstream changes allow this. Details
    follow.
  * Disable simple-patchsys cdbs class.
  * DIST_DESTDIR can be used in place of INST_DIR in rules.modules, and also
    disables depmod from being run.
  * The 'version' file has been removed, utils and driver versions are now
    defined in driver/ndiswrapper.h. Drop path fixup patch and adjust rules
    sed line to suit.
  * Remove custom clean: function in rules, there are no upstream debian files
    now.
  * Replace $(cdbs_curpkg) with real package name in debian/rules
    ndiswrapper-utils target.
  * Make /usr/sbin/ndiswrapper dash friendly. (Closes: #381544)
  [Kel Modderman]
  * New upstream release. (Closes: #379685)
  * Add myself to Uploaders.
  * Bump Standards version to 3.7.2, debhelper compat level to 5.
  * Build depend on debhelper >=5.0.37 and use the dh_installmodules helper
    instead of the hand crafted postinst.modules.in (Closes: #377058)
  * Add NEWS file detailing the status of wpa_supplicant with recent
    ndiswrapper versions. (Closes: #372125)
  * Slightly modify the short descriptions for the binary packages. This
    probably does not go as far as the reporter would like, but its an
    improvement. (Closes: #364848)
  * Update the long description of the binary packages with the current blurb
    from the ndiswrapper homepage.
  * Add upstream URL to long descriptions of the binary packages.
  * New upstream release.
  * New upstream release.
  * New upstream release.
  * Update debian/copyright at Giridhar's request.
  * Drop postinst script that's meant to handle ndiswrapper < 1.0; 1.1-4
    is in sarge, so we no longer have to handle older upgrade paths.
  * New upstream release (closes: #358421).
  * Drop ndiswrapper-common's dependency on ndiswrapper-utils-*; that was
    accidental (closes: #365810).
  * Drop ndiswrapper-utils, and rename ndiswrapper-utils-1.7 to -1.8.
  * Override $(KBUILD) when building modules.
  * Fix typo in README.Debian (closes: #353021).
  * Add ndiswrapper-utils-1.7, and make ndiswrapper-utils a
    dummy/transitional package. Handle conflicting files
    w/ wrapper scripts (loadndisdriver) and diversions.
  * Drop ndiswrapper-buginfo; there are some, er, issues w/ it.
  * Add ndiswrapper-common, for wrapper scripts. Throw some manpages
    in w/ the wrapper scripts.
  * Update FSF copyright address to make lintian shut up.
  * New upstream release (closes: #345694).
  * New upstream release (closes: #337024).
  * New upstream release.
  * Add clean rule to nuke upstream's debian cruft.
  * New upstream release.
  * Get rid of some bashisms in various scripts (closes: #307836).
  * Argh, missed a bit w/ amd64 support; it should build now.
  * Fix postinst in cases where an upgrade is being done, but
    /etc/ndiswrapper/* is empty (or non-existant) (closes: #303992).
  * Make ndiswrapper-modules' dep on -utils a little less strict.
  * Add amd64 support, by popular request (all 2 of you).
  * Since there are now multiple architectures; make -source package
    arch: all.
  * New upstream release; "Breaking Ian's machine" (closes: #300784).
  * Add /usr/sbin/ndiswrapper-buginfo.
  * Make generated ndiswrapper-modules package have a versioned depend
    on ndiswrapper-utils.. Just in case.
  * Add postinst to ndiswrapper-utils to deal w/ change in config file
    names. Sigh.
  * Change ndiswrapper-modules provide to be versioned, so that
    ndiswrapper-utils can depend upon specific versions.
  * Update maintainer address.

bd8219c... by Andres Salomon <email address hidden> on 2005-01-10

Import patches-unapplied version 0.12+1.0rc2-1 to ubuntu/hoary

Imported using git-ubuntu import.

Changelog parent: 0ad6109240cd66b7b75a091de3204c82e9e1025a

New changelog entries:
  * New upstream release.

0ad6109... by Herbert Xu on 2004-10-02

Import patches-unapplied version 0.10-1 to ubuntu/warty

Imported using git-ubuntu import.